From 99b055b6e9fcfffccb1e4e7c71cef0ca96f37c3e Mon Sep 17 00:00:00 2001
From: Giampaolo Rodola <g.rodola@gmail.com>
Date: Thu, 8 Feb 2024 12:37:10 +0100
Subject: [PATCH] regenerate SSL certificates which was too old and broke and
 caused EE_KEY_TOO_SMALL on python >= 3.10

---
 pyftpdlib/test/keycert.pem | 81 +++++++++++++++++++++++---------------
 1 file changed, 49 insertions(+), 32 deletions(-)

diff --git a/pyftpdlib/test/keycert.pem b/pyftpdlib/test/keycert.pem
index bfa28def..026f8980 100644
--- a/pyftpdlib/test/keycert.pem
+++ b/pyftpdlib/test/keycert.pem
@@ -1,32 +1,49 @@
------BEGIN RSA PRIVATE KEY-----
-MIICXwIBAAKBgQC8ddrhm+LutBvjYcQlnH21PPIseJ1JVG2HMmN2CmZk2YukO+9L
-opdJhTvbGfEj0DQs1IE8M+kTUyOmuKfVrFMKwtVeCJphrAnhoz7TYOuLBSqt7lVH
-fhi/VwovESJlaBOp+WMnfhcduPEYHYx/6cnVapIkZnLt30zu2um+DzA9jQIDAQAB
-AoGBAK0FZpaKj6WnJZN0RqhhK+ggtBWwBnc0U/ozgKz2j1s3fsShYeiGtW6CK5nU
-D1dZ5wzhbGThI7LiOXDvRucc9n7vUgi0alqPQ/PFodPxAN/eEYkmXQ7W2k7zwsDA
-IUK0KUhktQbLu8qF/m8qM86ba9y9/9YkXuQbZ3COl5ahTZrhAkEA301P08RKv3KM
-oXnGU2UHTuJ1MAD2hOrPxjD4/wxA/39EWG9bZczbJyggB4RHu0I3NOSFjAm3HQm0
-ANOu5QK9owJBANgOeLfNNcF4pp+UikRFqxk5hULqRAWzVxVrWe85FlPm0VVmHbb/
-loif7mqjU8o1jTd/LM7RD9f2usZyE2psaw8CQQCNLhkpX3KO5kKJmS9N7JMZSc4j
-oog58yeYO8BBqKKzpug0LXuQultYv2K4veaIO04iL9VLe5z9S/Q1jaCHBBuXAkEA
-z8gjGoi1AOp6PBBLZNsncCvcV/0aC+1se4HxTNo2+duKSDnbq+ljqOM+E7odU+Nq
-ewvIWOG//e8fssd0mq3HywJBAJ8l/c8GVmrpFTx8r/nZ2Pyyjt3dH1widooDXYSV
-q6Gbf41Llo5sYAtmxdndTLASuHKecacTgZVhy0FryZpLKrU=
------END RSA PRIVATE KEY-----
------BEGIN CERTIFICATE-----
-MIICpzCCAhCgAwIBAgIJAP+qStv1cIGNMA0GCSqGSIb3DQEBBQUAMIGJMQswCQYD
-VQQGEwJVUzERMA8GA1UECBMIRGVsYXdhcmUxEzARBgNVBAcTCldpbG1pbmd0b24x
-IzAhBgNVBAoTGlB5dGhvbiBTb2Z0d2FyZSBGb3VuZGF0aW9uMQwwCgYDVQQLEwNT
-U0wxHzAdBgNVBAMTFnNvbWVtYWNoaW5lLnB5dGhvbi5vcmcwHhcNMDcwODI3MTY1
-NDUwWhcNMTMwMjE2MTY1NDUwWjCBiTELMAkGA1UEBhMCVVMxETAPBgNVBAgTCERl
-bGF3YXJlMRMwEQYDVQQHEwpXaWxtaW5ndG9uMSMwIQYDVQQKExpQeXRob24gU29m
-dHdhcmUgRm91bmRhdGlvbjEMMAoGA1UECxMDU1NMMR8wHQYDVQQDExZzb21lbWFj
-aGluZS5weXRob24ub3JnMIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQC8ddrh
-m+LutBvjYcQlnH21PPIseJ1JVG2HMmN2CmZk2YukO+9LopdJhTvbGfEj0DQs1IE8
-M+kTUyOmuKfVrFMKwtVeCJphrAnhoz7TYOuLBSqt7lVHfhi/VwovESJlaBOp+WMn
-fhcduPEYHYx/6cnVapIkZnLt30zu2um+DzA9jQIDAQABoxUwEzARBglghkgBhvhC
-AQEEBAMCBkAwDQYJKoZIhvcNAQEFBQADgYEAF4Q5BVqmCOLv1n8je/Jw9K669VXb
-08hyGzQhkemEBYQd6fzQ9A/1ZzHkJKb1P6yreOLSEh4KcxYPyrLRC1ll8nr5OlCx
-CMhKkTnR6qBsdNV0XtdU2+N25hqW+Ma4ZeqsN/iiJVCGNOZGnvQuvCAGWF8+J/f/
-iHkC6gGdBJhogs4=
------END CERTIFICATE-----
+-----BEGIN PRIVATE KEY-----
+MIIEvAIBADANBgkqhkiG9w0BAQEFAASCBKYwggSiAgEAAoIBAQDZwgTzjduhKarf
+kaGsAuBSHALVpsUH/S5iujPu+Cp/9UrBJaVjGxqLGI3Tnquv8yrQJE8KkkOHNWY5
+teZKuKleysTP1veKGXavSaCzw4d0Jj/xioVod2eNHRXBR9WafbO1RZxiUtMZVyIp
+yeMF74Ue+xrRNsFH1R9g535oGe4Lq2oLDVqLiELzp9VtlAL6Wko1b45r+hoOZgoz
+68Gv6wqyzZZCZR61NXJ0riuia7rAcMnJn3pkOqfcdH/wbMzlb+eJM32aICDNQSL/
+FYDXdGF01rd6k8LWL++X97PLwhbWax0wSFwM+Je9CHjDM4jL8de3FH/Ux84x5wtl
+MB2HOKKxAgMBAAECggEABo9gGM+VkJWxw8nJBhE8HXJ3P2UmcGbXMTriJPktm+yR
+fkoaYRGdoMJyRgV0r03zDzwuHr0TSGJ6cZNM8cP9uOZWPDCsr74JTknjNnyAeyZK
+gjClyOTipg9R6ssK4KbtdVuN1NnL6ZUvaUo0taa76u1Y/HkwJMWDNtHNLr5WkTFg
+PDCJCdMutGE0lu0Rt0gc2Izwe5g/zLoUBwLkwhtY26qAeLz5pIGJMM8JF42gYbvS
+QFvMfWTUXnzUkOLey/7com853fEZxSx1f+1T+KDfOzME79uK5+gd7NenoEBNCnKF
+F2vPsNHOk3BmhlJf521NRNX3y7WUc/w2KWdk/MS25QKBgQDqMgF3O0OUaVQIdQHC
+ItaIe/NuFRSZ1OnkpuBG26xWy2XZzD4HqLYGR0m2QsMOhZwEbsTHg3a+SCUCvKfM
+QDBVBoOAYJrrRmd9rvMFZoksm7Ei1qeMdX0iRM2DOFNO+lAEi7zEDWzG1oy7v20b
+YFwYPwRCh7nbRQ6eHDQWYruPvwKBgQDuCDsOW8ed9PdPnK8Kufk3PmsXwW26A7vB
+0+UV/l9AwrT0cf0dr4x4tcUHIEon+BIwvJI8eEIFEfjo50Eh0Ew9q/tfDlivayin
+S1wF4ntIB32l5s91Kc3scxLKHDzdi9uIxD04DS7Lro7YzIIQsWdpLm1Bnytnos65
+7FUObQJpjwKBgG6NhoWbU06G3iVT3q2fNnidUo+foebwTC0k3XB1mIgsYfsLYCjL
+aonSMyi3oU6Eod6xz3CDTZWLhvUgy3Eux+ILPh5m/BqeVJJO+OeOvKhzIo5YmCVE
+/PolUoJkH2eD4CwVLtm5oKTIeQzT05R9y1uiu8cQPRsWIU1f8PK0TugPAoGAB9hd
+meuMeLhKLmWLn17hx+BWx0GozCizV4AUXNU1bnz8WdIn9YKDrrbO950o1IhokRKl
+/zg3dNNS0NpOWz7yRFYWwttGMQHnJRxmvArq5UTZ703cKJBoKRLh26dymhqx8aAG
+JILKuAvYyWx0HPi738uX7kHAvHmxNo+DfiY5niECgYBGt4rjQBBEN+gBlis0nFvR
+KkbY2MN21Bf2qe8r7x+NIrBrpRol3HMkdsTLyP8vuij4qspMcgdBj9YRbdRlwnhC
+oK4JOGaI0kWBQo8XouXFTgRp9awS0U7prdkaOu1uTwggKSaenAxhqj8zWI9yedAV
+2uqDMbuV1S3mMZlgXfYSpA==
+-----END PRIVATE KEY-----
+-----BEGIN CERTIFICATE-----
+MIIDazCCAlOgAwIBAgIUESOrlenrlOmk3SphhWJeEVX5prowDQYJKoZIhvcNAQEL
+BQAwRTELMAkGA1UEBhMCQVUxEzARBgNVBAgMClNvbWUtU3RhdGUxITAfBgNVBAoM
+GEludGVybmV0IFdpZGdpdHMgUHR5IEx0ZDAeFw0yNDAyMDgxMTM2MDNaFw0yNDAz
+MDkxMTM2MDNaMEUxCzAJBgNVBAYTAkFVMRMwEQYDVQQIDApTb21lLVN0YXRlMSEw
+HwYDVQQKDBhJbnRlcm5ldCBXaWRnaXRzIFB0eSBMdGQwggEiMA0GCSqGSIb3DQEB
+AQUAA4IBDwAwggEKAoIBAQDZwgTzjduhKarfkaGsAuBSHALVpsUH/S5iujPu+Cp/
+9UrBJaVjGxqLGI3Tnquv8yrQJE8KkkOHNWY5teZKuKleysTP1veKGXavSaCzw4d0
+Jj/xioVod2eNHRXBR9WafbO1RZxiUtMZVyIpyeMF74Ue+xrRNsFH1R9g535oGe4L
+q2oLDVqLiELzp9VtlAL6Wko1b45r+hoOZgoz68Gv6wqyzZZCZR61NXJ0riuia7rA
+cMnJn3pkOqfcdH/wbMzlb+eJM32aICDNQSL/FYDXdGF01rd6k8LWL++X97PLwhbW
+ax0wSFwM+Je9CHjDM4jL8de3FH/Ux84x5wtlMB2HOKKxAgMBAAGjUzBRMB0GA1Ud
+DgQWBBQSbuaoS2+bNEg4+g7oso21c5sBHzAfBgNVHSMEGDAWgBQSbuaoS2+bNEg4
++g7oso21c5sBHzAPBgNVHRMBAf8EBTADAQH/MA0GCSqGSIb3DQEBCwUAA4IBAQBi
+9ZZQ4ZdVvew/iWrWv3TxC7Sgt/hYLHtPjrs2PZVtG2Z+W+tol/Y1ysgzvSATSAbY
+GbxzHwi6yM7DXn4kZC/LNWXgQyrSf/XhOj/FkBR2bwp4iHfjP3589rU5yb1jrUwO
+v2WqVPWV3+b7RAeCR0aUBBdLXkQF0ET1UIsV968GT7HDdb4UCMnoif4ms1XuVZw/
+t+YFMxqsPgCBkH2lUSFKcMBwA9qOU9K9GtxjFNhVBF1lzDjBhBL99+TZDLLrtKsp
+2d1C4Cm5e590LuaUBijUEQH0ZK3e9UtbkNYtA7JYlmq+oQH7eS0fh+eOIOa3hDfm
+xHGDmUjpQuWawJuuUXZF
+-----END CERTIFICATE-----
